class_name MinigunUpgrade extends "res://scenes/upgrade/upgrade.gd"

func _init() -> void:
	upgradeName = "Weapon Minigun"
	description = "Switch Weapon to Minigun. Shoots fast but has a little bit of spread"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().switchToMinigun()
